require 'test_helper'

class OrientDb::CollectionRepositoryTest < ActiveSupport::TestCase

  test 'raise an exception when try to save non-persisted collection' do
    odb_client = mock
    collection_repository = OrientDb::CollectionRepository.new odb_client

    assert_raise NotPersistedRecordError do
      collection_repository.save Collection.new
    end
  end

  test 'save learning objects to persisted collection' do
    odb_client = mock
    odb_client.expect :command, nil
    collection_repository = OrientDb::CollectionRepository.new odb_client
    collection_repository.save Collection.new(id: '#12:12')
    assert !mock.verify
  end

  #def save(collection = Collection.new)
  #collection.learning_objects.each do |learning_object|
  #  query = sprintf("update %s add learning_objects = %s", collection.id, learning_object.id)
  # connection.command query
  #end
  #end

end